Package com.avaya.clientservices.call.feature

## Enum CallbackCallStatus

- java.lang.Object
- - java.lang.Enum<CallbackCallStatus>
  - - com.avaya.clientservices.call.feature.CallbackCallStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallbackCallStatus>`

      public enum CallbackCallStatus
      extends java.lang.Enum<CallbackCallStatus>

  The callback call status values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CALLBACK_DESTINATION_ANSWERED` | Callback destination answered.
    `CALLBACK_DESTINATION_RINGING` | Callback destination ringing.
    `CALLBACK_DESTINATION_TRYING` | Callback destination trying.
    `REMOTE_DESTINATION_ANSWERED` | Remote destination answered.
    `REMOTE_DESTINATION_RINGING` | Remote destination ringing.
    `REMOTE_DESTINATION_TRYING` | Remote destination trying.
    `UNDEFINED` | Undefined Status.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |
    `static CallbackCallStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallbackCallStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final CallbackCallStatus UNDEFINED

      Undefined Status.

    - #### CALLBACK_DESTINATION_TRYING

          public static final CallbackCallStatus CALLBACK_DESTINATION_TRYING

      Callback destination trying.

    - #### CALLBACK_DESTINATION_RINGING

          public static final CallbackCallStatus CALLBACK_DESTINATION_RINGING

      Callback destination ringing.

    - #### CALLBACK_DESTINATION_ANSWERED

          public static final CallbackCallStatus CALLBACK_DESTINATION_ANSWERED

      Callback destination answered.

    - #### REMOTE_DESTINATION_TRYING

          public static final CallbackCallStatus REMOTE_DESTINATION_TRYING

      Remote destination trying.

    - #### REMOTE_DESTINATION_RINGING

          public static final CallbackCallStatus REMOTE_DESTINATION_RINGING

      Remote destination ringing.

    - #### REMOTE_DESTINATION_ANSWERED

          public static final CallbackCallStatus REMOTE_DESTINATION_ANSWERED

      Remote destination answered.

  - ### Method Detail

    - #### values

          public static CallbackCallStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallbackCallStatus c : CallbackCallStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallbackCallStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CallbackCallStatus>`